## runit 2.2.0

=== runit-2.2.0/src/Makefile ===
IT=chpst runit runit-init runsv runsvchdir runsvdir sv svlogd utmpset

default: sysdeps $(IT)

check: $(IT)
	./check-local $(IT)

runit: load runit.o unix.a byte.a
	./load runit unix.a byte.a -static

runit-init: load runit-init.o unix.a byte.a
	./load runit-init unix.a byte.a -static

runsv: load runsv.o unix.a byte.a time.a
	./load runsv unix.a byte.a time.a

runsvdir: load runsvdir.o unix.a byte.a time.a
	./load runsvdir unix.a byte.a time.a

runsvstat: load runsvstat.o unix.a byte.a time.a
	./load runsvstat unix.a byte.a time.a

runsvctrl: load runsvctrl.o unix.a byte.a
	./load runsvctrl unix.a byte.a

sv: load sv.o unix.a byte.a time.a
	./load sv unix.a byte.a time.a

svwaitup: load svwaitup.o unix.a byte.a time.a
	./load svwaitup unix.a byte.a time.a

svwaitdown: load svwaitdown.o unix.a byte.a time.a
	./load svwaitdown unix.a byte.a time.a

utmpset: load utmpset.o unix.a byte.a
	./load utmpset unix.a byte.a

runsvchdir: load runsvchdir.o unix.a byte.a
	./load runsvchdir unix.a byte.a

svlogd: load svlogd.o pmatch.o fmt_ptime.o unix.a byte.a time.a socket.lib
	./load svlogd pmatch.o fmt_ptime.o unix.a byte.a time.a \
	`cat socket.lib`

chpst: load chpst.o uidgid.o unix.a byte.a
	./load chpst uidgid.o unix.a byte.a

runit.o: compile sysdeps runit.c
	./compile runit.c

runit-init.o: compile runit-init.c
	./compile runit-init.c

runsv.o: compile sysdeps runsv.c
	./compile runsv.c

runsvdir.o: compile sysdeps runsvdir.c
	./compile runsvdir.c

runsvstat.o: compile sysdeps runsvstat.c
	./compile runsvstat.c

runsvctrl.o: compile runsvctrl.c
	./compile runsvctrl.c

sv.o: compile sysdeps sv.c
	./compile sv.c

svwaitup.o: compile sysdeps svwaitup.c
	./compile svwaitup.c

svwaitdown.o: compile sysdeps svwaitdown.c
	./compile svwaitdown.c

utmpset.o: compile sysdeps utmpset.c
	./compile utmpset.c

runsvchdir.o: compile runsvchdir.c
	./compile runsvchdir.c

svlogd.o: compile sysdeps svlogd.c
	./compile svlogd.c

chpst.o: compile sysdeps chpst.c
	./compile chpst.c


uidgid.o: compile uidgid.c uidgid.h
	./compile uidgid.c

pmatch.o: compile pmatch.c
	./compile pmatch.c

fmt_ptime.o: compile sysdeps fmt_ptime.c
	./compile fmt_ptime.c

reboot_system.h: choose compile reboot_system.h1 reboot_system.h2
	./choose c tryreboot reboot_system.h1 reboot_system.h2 > \
	  reboot_system.h

uw_tmp.h: compile uw_tmp.h1 uw_tmp.h2
	( ./compile tryuwtmpx.c 2>/dev/null && cat uw_tmp.h2 >uw_tmp.h ) || \
	( ./compile tryuwtmp.c 2>/dev/null && cat uw_tmp.h1 >uw_tmp.h )
	rm -f tryuwtmp.o tryuwtmpx.o

socket.lib: compile load trysocketlib.c
	./compile trysocketlib.c
	( ./load trysocketlib >/dev/null 2>&1 || \
	  ( ./load trysocketlib -lxnet >/dev/null 2>&1 && echo '-lxnet' ) || \
	  ( ./load trysocketlib -lsocket -lnsl >/dev/null 2>&1 && \
	    echo '-lsocket -lnsl' ) \
	) >socket.lib
	rm -f trysocketlib.o trysocketlib

clean:
	find . -name \*~ -exec rm -f {} \;
	find . -name .??*~ -exec rm -f {} \;
	find . -name \#?* -exec rm -f {} \;
	rm -f `cat TARGETS`

alloc.o: alloc.c alloc.h compile error.h
	./compile alloc.c

alloc_re.o: alloc.h alloc_re.c byte.h compile
	./compile alloc_re.c

buffer.o: buffer.c buffer.h compile
	./compile buffer.c

buffer_0.o: buffer.h buffer_0.c compile
	./compile buffer_0.c

buffer_1.o: buffer.h buffer_1.c compile
	./compile buffer_1.c

buffer_2.o: buffer.h buffer_2.c compile
	./compile buffer_2.c

buffer_get.o: buffer.h buffer_get.c byte.h compile error.h
	./compile buffer_get.c

buffer_put.o: buffer.h buffer_put.c byte.h compile error.h str.h
	./compile buffer_put.c

buffer_read.o: buffer.h buffer_read.c compile
	./compile buffer_read.c

buffer_write.o: buffer.h buffer_write.c compile
	./compile buffer_write.c

byte.a: byte_chr.o byte_copy.o byte_cr.o byte_diff.o byte_rchr.o \
fmt_uint.o fmt_uint0.o fmt_ulong.o makelib scan_ulong.o str_chr.o \
str_diff.o str_len.o str_start.o
	./makelib byte.a byte_chr.o byte_copy.o byte_cr.o byte_diff.o \
	byte_rchr.o fmt_uint.o fmt_uint0.o fmt_ulong.o scan_ulong.o str_chr.o \
	str_diff.o str_len.o str_start.o

byte_chr.o: byte.h byte_chr.c compile
	./compile byte_chr.c

byte_copy.o: byte.h byte_copy.c compile
	./compile byte_copy.c

byte_cr.o: byte.h byte_cr.c compile
	./compile byte_cr.c

byte_diff.o: byte.h byte_diff.c compile
	./compile byte_diff.c

byte_rchr.o: byte.h byte_rchr.c compile
	./compile byte_rchr.c

choose: choose.sh warn-auto.sh
	rm -f choose
	cat warn-auto.sh choose.sh \
	> choose
	chmod 555 choose

coe.o: coe.c coe.h compile
	./compile coe.c

compile: conf-cc print-cc.sh systype warn-auto.sh
	rm -f compile
	sh print-cc.sh > compile
	chmod 555 compile

direntry.h: choose compile direntry.h1 direntry.h2 trydrent.c
	./choose c trydrent direntry.h1 direntry.h2 > direntry.h

env.o: compile env.c env.h str.h
	./compile env.c

error.o: compile error.c error.h
	./compile error.c

error_str.o: compile error.h error_str.c
	./compile error_str.c

fd_copy.o: compile fd.h fd_copy.c
	./compile fd_copy.c

fd_move.o: compile fd.h fd_move.c
	./compile fd_move.c

fifo.o: compile fifo.c fifo.h hasmkffo.h
	./compile fifo.c

fmt_uint.o: compile fmt.h fmt_uint.c
	./compile fmt_uint.c

fmt_uint0.o: compile fmt.h fmt_uint0.c
	./compile fmt_uint0.c

fmt_ulong.o: compile fmt.h fmt_ulong.c
	./compile fmt_ulong.c

hasflock.h: choose compile hasflock.h1 hasflock.h2 load tryflock.c
	./choose cl tryflock hasflock.h1 hasflock.h2 > hasflock.h

hasmkffo.h: choose compile hasmkffo.h1 hasmkffo.h2 load trymkffo.c
	./choose cl trymkffo hasmkffo.h1 hasmkffo.h2 > hasmkffo.h

hassgact.h: choose compile hassgact.h1 hassgact.h2 load trysgact.c
	./choose cl trysgact hassgact.h1 hassgact.h2 > hassgact.h

hassgprm.h: choose compile hassgprm.h1 hassgprm.h2 load trysgprm.c
	./choose cl trysgprm hassgprm.h1 hassgprm.h2 > hassgprm.h

haswaitp.h: choose compile haswaitp.h1 haswaitp.h2 load trywaitp.c
	./choose cl trywaitp haswaitp.h1 haswaitp.h2 > haswaitp.h

iopause.h: choose compile iopause.h1 iopause.h2 load trypoll.c
	./choose clr trypoll iopause.h1 iopause.h2 > iopause.h

iopause.o: compile iopause.c iopause.h select.h tai.h taia.h uint64.h
	./compile iopause.c

load: conf-ld print-ld.sh systype warn-auto.sh
	rm -f load
	sh print-ld.sh > load
	chmod 555 load

lock_ex.o: compile hasflock.h lock.h lock_ex.c
	./compile lock_ex.c

lock_exnb.o: compile hasflock.h lock.h lock_exnb.c
	./compile lock_exnb.c

makelib: print-ar.sh systype warn-auto.sh
	rm -f makelib
	sh print-ar.sh > makelib
	chmod 555 makelib

ndelay_off.o: compile ndelay.h ndelay_off.c
	./compile ndelay_off.c

ndelay_on.o: compile ndelay.h ndelay_on.c
	./compile ndelay_on.c

open_append.o: compile open.h open_append.c
	./compile open_append.c

open_read.o: compile open.h open_read.c
	./compile open_read.c

open_trunc.o: compile open.h open_trunc.c
	./compile open_trunc.c

open_write.o: compile open.h open_write.c
	./compile open_write.c

openreadclose.o: compile error.h gen_alloc.h open.h openreadclose.c \
openreadclose.h readclose.h stralloc.h
	./compile openreadclose.c

pathexec_env.o: alloc.h byte.h compile env.h gen_alloc.h pathexec.h \
pathexec_env.c str.h stralloc.h
	./compile pathexec_env.c

pathexec_run.o: compile env.h error.h gen_alloc.h pathexec.h \
pathexec_run.c str.h stralloc.h
	./compile pathexec_run.c

readclose.o: compile error.h gen_alloc.h readclose.c readclose.h \
stralloc.h
	./compile readclose.c

scan_ulong.o: compile scan.h scan_ulong.c
	./compile scan_ulong.c

seek_set.o: compile seek.h seek_set.c
	./compile seek_set.c

select.h: choose compile select.h1 select.h2 trysysel.c
	./choose c trysysel select.h1 select.h2 > select.h

sgetopt.o: buffer.h compile sgetopt.c sgetopt.h subgetopt.h
	./compile sgetopt.c

sig.o: compile sig.c sig.h
	./compile sig.c

sig_block.o: compile hassgprm.h sig.h sig_block.c
	./compile sig_block.c

sig_catch.o: compile hassgact.h sig.h sig_catch.c
	./compile sig_catch.c

sig_pause.o: compile hassgprm.h sig.h sig_pause.c
	./compile sig_pause.c

str_chr.o: compile str.h str_chr.c
	./compile str_chr.c

str_diff.o: compile str.h str_diff.c
	./compile str_diff.c

str_len.o: compile str.h str_len.c
	./compile str_len.c

str_start.o: compile str.h str_start.c
	./compile str_start.c

stralloc_cat.o: byte.h compile gen_alloc.h stralloc.h stralloc_cat.c
	./compile stralloc_cat.c

stralloc_catb.o: byte.h compile gen_alloc.h stralloc.h \
stralloc_catb.c
	./compile stralloc_catb.c

stralloc_cats.o: byte.h compile gen_alloc.h str.h stralloc.h \
stralloc_cats.c
	./compile stralloc_cats.c

stralloc_eady.o: alloc.h compile gen_alloc.h gen_allocdefs.h \
stralloc.h stralloc_eady.c
	./compile stralloc_eady.c

stralloc_opyb.o: byte.h compile gen_alloc.h stralloc.h \
stralloc_opyb.c
	./compile stralloc_opyb.c

stralloc_opys.o: byte.h compile gen_alloc.h str.h stralloc.h \
stralloc_opys.c
	./compile stralloc_opys.c

stralloc_pend.o: alloc.h compile gen_alloc.h gen_allocdefs.h \
stralloc.h stralloc_pend.c
	./compile stralloc_pend.c

strerr_die.o: buffer.h compile strerr.h strerr_die.c
	./compile strerr_die.c

strerr_sys.o: compile error.h strerr.h strerr_sys.c
	./compile strerr_sys.c

subgetopt.o: compile subgetopt.c subgetopt.h
	./compile subgetopt.c

sysdeps: compile direntry.h hasflock.h hasmkffo.h hassgact.h \
hassgprm.h haswaitp.h iopause.h load select.h systype \
uint64.h reboot_system.h uw_tmp.h socket.lib
	rm -f sysdeps
	cat systype compile load socket.lib >>sysdeps
	grep sysdep direntry.h >>sysdeps
	grep sysdep haswaitp.h >>sysdeps
	grep sysdep hassgact.h >>sysdeps
	grep sysdep hassgprm.h >>sysdeps
	grep sysdep select.h >>sysdeps
	grep sysdep uint64.h >>sysdeps
	grep sysdep iopause.h >>sysdeps
	grep sysdep hasmkffo.h >>sysdeps
	grep sysdep hasflock.h >>sysdeps
	grep sysdep reboot_system.h >>sysdeps
	grep sysdep uw_tmp.h >>sysdeps
	cat sysdeps

systype: find-systype.sh trycpp.c x86cpuid.c
	sh find-systype.sh > systype

tai_now.o: compile tai.h tai_now.c uint64.h
	./compile tai_now.c

tai_pack.o: compile tai.h tai_pack.c uint64.h
	./compile tai_pack.c

tai_sub.o: compile tai.h tai_sub.c uint64.h
	./compile tai_sub.c

tai_unpack.o: compile tai.h tai_unpack.c uint64.h
	./compile tai_unpack.c

taia_add.o: compile tai.h taia.h taia_add.c uint64.h
	./compile taia_add.c

taia_approx.o: compile tai.h taia.h taia_approx.c uint64.h
	./compile taia_approx.c

taia_frac.o: compile tai.h taia.h taia_frac.c uint64.h
	./compile taia_frac.c

taia_less.o: compile tai.h taia.h taia_less.c uint64.h
	./compile taia_less.c

taia_now.o: compile tai.h taia.h taia_now.c uint64.h
	./compile taia_now.c

taia_pack.o: compile tai.h taia.h taia_pack.c uint64.h
	./compile taia_pack.c

taia_sub.o: compile tai.h taia.h taia_sub.c uint64.h
	./compile taia_sub.c

taia_uint.o: compile tai.h taia.h taia_uint.c uint64.h
	./compile taia_uint.c

time.a: iopause.o makelib tai_now.o tai_pack.o tai_sub.o tai_unpack.o \
taia_add.o taia_approx.o taia_frac.o taia_less.o taia_now.o \
taia_pack.o taia_sub.o taia_uint.o
	./makelib time.a iopause.o tai_now.o tai_pack.o tai_sub.o \
	tai_unpack.o taia_add.o taia_approx.o taia_frac.o taia_less.o \
	taia_now.o taia_pack.o taia_sub.o taia_uint.o

uint64.h: choose compile load tryulong64.c uint64.h1 uint64.h2
	./choose clr tryulong64 uint64.h1 uint64.h2 > uint64.h

unix.a: alloc.o alloc_re.o buffer.o buffer_0.o buffer_1.o buffer_2.o \
buffer_get.o buffer_put.o buffer_read.o buffer_write.o coe.o env.o \
error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o lock_exnb.o \
makelib ndelay_off.o ndelay_on.o open_append.o open_read.o \
open_trunc.o open_write.o openreadclose.o pathexec_env.o \
pathexec_run.o readclose.o seek_set.o sgetopt.o sig.o \
sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
wait_pid.o
	./makelib unix.a alloc.o alloc_re.o buffer.o buffer_0.o buffer_1.o \
	buffer_2.o buffer_get.o buffer_put.o buffer_read.o buffer_write.o \
	coe.o env.o error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o \

=== debian/changelog ===
runit (2.2.0-3.0antix4) unstable; urgency=medium

  * remove debian/contrib man pages
  * don't update grub in chroot

 -- anticapitalista <antix@operamail.com>  Wed, 08 Oct 2025 13:30:08 +0300

runit (2.2.0-3.0antix3) unstable; urgency=medium

  * only build getty-run, runit-antix and runit-init-antix

 -- anticapitalista <antix@operamail.com>  Mon, 06 Oct 2025 20:49:36 +0300

runit (2.2.0-3.0antix2) unstable; urgency=medium

  * Updated maintaner scripts to skip update-grub on Live/Frugal systems

 -- anticapitalista <antix@operamail.com>  Fri, 03 Oct 2025 17:26:29 +0300

runit (2.2.0-3.0antix1) unstable; urgency=medium

  [ ProwlerGr ]
  * New upstream release, rebased on Debian Sid
  * Added runit-init-diversity as metapackage:
    - Added Replaces:runit in control file 
    - Prefer binary instead of symlink of runit-init under /lib/runit.

  [ anticapitalista ]
  * include runit-antix and runit-init-antix 

 -- anticapitalista <antix@operamail.com>  Tue, 09 Sep 2025 15:53:35 +0300

runit (2.2.0-3) unstable; urgency=medium

  * getty-run: fix tests for busy getty device (Closes: #1103152)
  * try to improve NEWS for bookworm to trixie upgrade
  * d/copyright: update FSF address

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 26 Apr 2025 22:25:25 +0200

runit (2.2.0-2) unstable; urgency=medium

  * stage 3: raise shutdown timeout to 25 sec
  * test /etc/runit/stopit instead of /run/runit.stopit
  * temporary add a compatibility symlink for runit-init
  * sysv-override:
    - update readme file
    - map force-reload to reload
  * runit-init: add protected: yes
  * invoke-run: add experimental support for xchpst (Closes: #1093545)
  * runit: breaks with xchpst << 0.5.0-1~
  * fix FTBFS on alpha due to a race in rescan-test

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 21 Mar 2025 11:53:56 +0100

runit (2.2.0-1.0experimental1) UNRELEASED; urgency=medium

  * New upstream release, rebased on Debian Sid
  * Added runit-init-diversity as metapackage.

 -- ProwlerGr <Prowler73@gmail.com>  Sat, 29 Mar 2025 22:22:22 +1000

runit (2.2.0-1) unstable; urgency=medium

  [ Lorenzo Puliti ]
  * New upstream version 2.2.0
     - see /usr/share/doc/runit/changelog.gz
  * update upstream metadata
  * d/copyright: update years
  * d/patches (quilt):
    - drop patches merged or rejected upstream
    - squash and refresh patches for runsvdir-rescan-feature
    - refresh, squash and rework forced rescan test
    - refresh remaining patches
    - sigpwr, sigalrm patches: reset sigint in stage 1 and 3
      (Closes: #1099752)
  * add missing conflicts: finit-sysv, daemontools-run
  * salsa CI: disable missing breaks test, it fails with
     diversions
  * init-switch test: try to fix apt command line, mark as flaky
    (Closes: #1099717)
  * bump S-V to 4.7.2, no changes required
  * runit-init: mask duplicate sysv scripts
  * test for pkgblock files in stage 1 and run_sysv_scripts
  * test for pkgblok files in default policy (override-sysv)
  * run_sysv_scripts: test services links with -L

  [ Andrew Bower ]
  * stop build output interleaving leading to blhc false positives
    (Closes: #1092623)
  * pass all build flags through once.
  * build contrib and write options from same dh target for stable canaries

 -- Lorenzo Puliti <plorenzo@disroot.org>  Fri, 07 Mar 2025 18:39:40 +0100

runit (2.1.2-61) unstable; urgency=medium

  [ Lorenzo Puliti ]
  * NEWS for runit, runit-init users
  * export PATH in stage 1,2,3. (Closes: #1068922)
    + Thanks to Martin Steigerwald <martin@lichtvoll.de>
  * stage1, shutdown.c: write boot and shutdown
     wtmpdb entry (Closes: #992648)
  * service, invoke-rc.d:
    - import from i-s-h 1.67, add runit patches
    - runit-init: divert helpers and manpages
    - adjust d/clean, d/rules clean target
    - update copyright for init-helpers
  * sysv override:
     - change sysv script override mechanism (Closes: #1071395)
     - add /etc/runit/override-sysv.d/README
     - finish-exec: remove *.pkgrunit override files
     - run_sysv_script: adjust (this partially reverts the fix
       for #1022837, other workarounds are provided)
  * invoke-run:
     - print a message about starting runscript when in
       verbose mode
     - update wtime file at service startup
     - update manpage
  * trigger_vs:
     - skip upgrade iteration if binary not installed
     - test for runsvdir before SIGALRM
  * move policy-rc.d layer from invoke-run to trigger_sv
  * sync available services in stage2, before runsvdir
  * cpsv: fix make_svlinks for log's run
  * adjust autopkgtest/upstream-testsuite
  * fix d/runit.install
  * update lintian overrides
  * d/patches (quilt):
     -  drop move-comunication-files patch, not really needed
     -  drop patch to disable sv test, issue fixed on Hurd
        side (see #1009712). (Closes: #1003891)
        + Thanks to João Pedro Malhado, Samuel Thibault
  * dh-sysuser: use a sysusers.d control file, drop
     our legacy control file (Closes: #981799)

  [ Andrew Bower ]
  * shutdown.c : accept but ignore -H, -P and message
     arguments (Closes: #1087001)

  [ наб ]
  * Drop B-D on dh-buildinfo (Closes: #1090770)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sat, 25 Jan 2025 11:28:00 +0100

runit (2.1.2-60) unstable; urgency=medium

  * Try to fix piupart purge test failure
  * do not fail at preinst if /etc/service is not a symlink.
     + Thanks to Jamie Heilman  (Closes: #1069267)
  * trigger_sv:
    - fix shadowing logic (Closes: #1069592)
    - fix indentation
  * cpsv: stop using sv_wtime
  * runit-run: use runsvdir-start in place of 2
  * runit: keep only init-related code in stage 2
  * Fix FTBFS with gcc-14 (Closes: #1075484)
  * remove obsolete conffiles
  * move aliased files from / to /usr (DEP17) (Closes: #1073780)
  * move runit-init under /usr/sbin
  * bump S-V to 4.7.0, no changes required
  * NEWS for runit-run users:
     - no longer uses  /etc/runit/2
  * NEWS for runit users:
    - recommend /etc/service as symlink


=== debian/control ===
Source: runit
Section: admin
Maintainer: Lorenzo Puliti <plorenzo@disroot.org>
Priority: optional
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://smarden.org/runit/
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-exec,
               dh-runit (>= 2.10.2),
               dh-sysuser,
               doc-base,
Vcs-Browser: https://salsa.debian.org/debian/runit
Vcs-Git: https://salsa.debian.org/debian/runit.git

Package: runit-antix
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: runit-init, runit
Breaks: runit-init, runit
Recommends: runit-init-antix
Suggests: socklog
Description: system-wide service supervision
 runit is a collection of tools to provide system-wide service supervision
 and to manage services.  Contrary to sysv init, it not only cares about
 starting and stopping services, but also supervises the service daemons
 while they are running.  Amongst other things, it provides a reliable
 interface to send signals to service daemons without the need for pid-files,
 and a log facility with automatic log file rotation and disk space limits.
 .
 runit service supervision can run under sysv init, systemd or replace the init
 system completely. Complete init replacement is provided by 'runit-init'
 package. Users that want to take advantage of runit supervision under systemd
 or sysv init can directly install the 'runit-run' package.

Package: getty-run
Architecture: all
Breaks: ${runit:Breaks}
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: psmisc
Suggests: fgetty
Description: runscripts to supervise getty processes
 runit is a collection of tools to provide system-wide service supervision
 and to manage services.  Contrary to sysv init, it not only cares about
 starting and stopping services, but also supervises the service daemons
 while they are running.  Amongst other things, it provides a reliable
 interface to send signals to service daemons without the need for pid-files,
 and a log facility with automatic log file rotation and disk space limits.
 .
 This package provides scripts to supervise getty processes, allowing
 local login.

Package: runit-init-antix
Architecture: all
Depends: runit-antix, ${misc:Depends},
 ${shlibs:Depends}, getty-run, runit-service-boot-module, init-diversity-tools, grub-init-diversity, runit-service-seatd 
Recommends: runit-service-manager
Breaks: ${runit:Breaks}
Replaces: systemd-sysv, sysvinit-core, runit, runit-init
Conflicts: systemd-sysv, sysvinit-core, libnss-systemd, runit, runit-init
Description: system-wide service supervision (as init system)
 runit is a collection of tools to provide system-wide service supervision
 and to manage services.  Contrary to sysv init, it not only cares about
 starting and stopping services, but also supervises the service daemons
 while they are running.  Amongst other things, it provides a reliable
 interface to send signals to service daemons without the need for pid-files,
 and a log facility with automatic log file rotation and disk space limits.
 .
 This package provides /sbin/init, that boots your system and starts runit.

=== debian/rules ===
#!/usr/bin/make -f
# There are some problems with sanitize=+all and getgroups(2), as checked in
# runit-2.1.2/src/chkshgrp.c.
# -- Dmitry Bogatov <KAction@gnu.org>  Sun, 24 Dec 2017 00:13:54 +0300
export DEB_BUILD_MAINT_OPTIONS = hardening=+all qa=+canary
include /usr/share/dpkg/default.mk

%:
	dh $@ --sourcedirectory=runit-$(DEB_VERSION_UPSTREAM)/src \
	      --with bash_completion,runit,sysuser

# Do these as part of dh_build so we don't proliferate different canaries etc.
.PHONY: write_runit_build_flags restore_runit_build_flags
write_runit_build_flags:
	cp runit-$(DEB_VERSION_UPSTREAM)/src/conf-cc \
	      runit-$(DEB_VERSION_UPSTREAM)/src/conf-cc.bk
	cp runit-$(DEB_VERSION_UPSTREAM)/src/conf-ld \
	      runit-$(DEB_VERSION_UPSTREAM)/src/conf-ld.bk
	echo $(COMPILE.c) > runit-$(DEB_VERSION_UPSTREAM)/src/conf-cc
	echo $(LINK.o) > runit-$(DEB_VERSION_UPSTREAM)/src/conf-ld

restore_runit_build_flags:
ifneq ("$(wildcard runit-$(DEB_VERSION_UPSTREAM)/src/conf-cc.bk)","")
	mv -f runit-$(DEB_VERSION_UPSTREAM)/src/conf-cc.bk \
	    runit-$(DEB_VERSION_UPSTREAM)/src/conf-cc
endif
ifneq ("$(wildcard runit-$(DEB_VERSION_UPSTREAM)/src/conf-ld.bk)","")
	mv -f runit-$(DEB_VERSION_UPSTREAM)/src/conf-ld.bk \
	    runit-$(DEB_VERSION_UPSTREAM)/src/conf-ld
endif

override_dh_auto_build: write_runit_build_flags
	$(MAKE) -C debian/contrib all
	patch   -o ./debian/contrib/i-s-h/invoke-rc.d ./debian/contrib/i-s-h/invoke-rc.d-*.in \
		./debian/contrib/i-s-h/invoke-rc.d-runit.patch
	patch   -o ./debian/contrib/i-s-h/service ./debian/contrib/i-s-h/service-*.in \
		./debian/contrib/i-s-h/service-runit.patch
	dh_auto_build -- -Oline

override_dh_installsystemd:
	dh_installsystemd --name runit --no-stop-on-upgrade

override_dh_runit:
	./debian/sv/getty.in/install
	dh_runit

override_dh_installchangelogs:
	dh_installchangelogs
	dh_installchangelogs -p runit-antix -p runit-init-antix \
	    runit-$(DEB_VERSION_UPSTREAM)/package/CHANGES

override_dh_clean: restore_runit_build_flags
	dh_clean
	$(MAKE) -C debian/contrib clean

autopkgtest-image:
	autopkgtest-build-qemu unstable ../autopkgtest.img

autopkgtest:
#	$(info Running autopkgtest with options to avoid entropy starvation)
#	$(info For more information see #931658)
ifeq ($(wildcard ../autopkgtest.img),)
	$(error Qemu image ../autopkgtest.img not found. Run autopkgtest-image rule)
endif
ifeq ($(wildcard ../runit_$(DEB_VERSION)_$(DEB_BUILD_ARCH).deb),)
	$(error No binary packages in parent directory. Build package)
endif
	autopkgtest                                            \
	    ../runit-init-antix_$(DEB_VERSION)_$(DEB_BUILD_ARCH).deb               \
	    ../runit-antix_$(DEB_VERSION)_$(DEB_BUILD_ARCH).deb      \
	    ../getty-run_$(DEB_VERSION)_all.deb                               \
	    .                                                  \
	    -- qemu                                            \
	    ../autopkgtest.img
#	    --show-boot   --timeout-reboot=180
#	    --qemu-options='-object rng-random,filename=/dev/urandom,id=rng0 -device virtio-rng-pci,rng=rng0' \
	    ../autopkgtest.img

.PHONY: autopkgtest autopkgtest-image

=== debian/tests/control ===
Tests: init-switch
Depends: runit,
  procps,
  rsyslog,
  cron,
  dbus,
  udev,
  runit-services,
Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed, flaky

Tests: install-953875
Depends: systemd,
  systemd-sysv,
  libpam-systemd,
  libnss-systemd,
  polkitd,
  pkexec,
  dbus,
  udev,
Restrictions: needs-root, allow-stderr, breaks-testbed, superficial

Tests: upstream-testsuite
Depends: runit,
Restrictions: needs-root

=== debian/watch ===
version=4
https://smarden.org/runit/install.html runit-([.0-9]+)\.tar\.gz

## runit 2.3.0

=== runit-2.3.0/src/Makefile ===
IT=chpst runit runit-init runsv runsvchdir runsvdir sv svlogd utmpset

default: sysdeps $(IT)

check: $(IT)
	./check-local $(IT)

runit: load runit.o unix.a byte.a
	./load runit unix.a byte.a -static

runit-init: load runit-init.o unix.a byte.a
	./load runit-init unix.a byte.a -static

runsv: load runsv.o unix.a byte.a time.a
	./load runsv unix.a byte.a time.a

runsvdir: load runsvdir.o unix.a byte.a time.a
	./load runsvdir unix.a byte.a time.a

sv: load sv.o unix.a byte.a time.a
	./load sv unix.a byte.a time.a

utmpset: load utmpset.o unix.a byte.a
	./load utmpset unix.a byte.a

runsvchdir: load runsvchdir.o unix.a byte.a
	./load runsvchdir unix.a byte.a

svlogd: load svlogd.o pmatch.o fmt_ptime.o unix.a byte.a time.a socket.lib
	./load svlogd pmatch.o fmt_ptime.o unix.a byte.a time.a \
	`cat socket.lib`

chpst: load chpst.o uidgid.o unix.a byte.a
	./load chpst uidgid.o unix.a byte.a

runit.o: compile sysdeps runit.c
	./compile runit.c

runit-init.o: compile runit-init.c
	./compile runit-init.c

runsv.o: compile sysdeps runsv.c
	./compile runsv.c

runsvdir.o: compile sysdeps runsvdir.c
	./compile runsvdir.c

sv.o: compile sysdeps sv.c
	./compile sv.c

utmpset.o: compile sysdeps utmpset.c
	./compile utmpset.c

runsvchdir.o: compile runsvchdir.c
	./compile runsvchdir.c

svlogd.o: compile sysdeps svlogd.c
	./compile svlogd.c

chpst.o: compile sysdeps chpst.c
	./compile chpst.c


uidgid.o: compile uidgid.c uidgid.h
	./compile uidgid.c

pmatch.o: compile pmatch.c
	./compile pmatch.c

fmt_ptime.o: compile sysdeps fmt_ptime.c
	./compile fmt_ptime.c

reboot_system.h: choose compile reboot_system.h1 reboot_system.h2
	./choose c tryreboot reboot_system.h1 reboot_system.h2 > \
	  reboot_system.h

uw_tmp.h: compile uw_tmp.h1 uw_tmp.h2
	( ./compile tryuwtmpx.c 2>/dev/null && cat uw_tmp.h2 >uw_tmp.h ) || \
	( ./compile tryuwtmp.c 2>/dev/null && cat uw_tmp.h1 >uw_tmp.h )
	rm -f tryuwtmp.o tryuwtmpx.o

socket.lib: compile load trysocketlib.c
	./compile trysocketlib.c
	( ./load trysocketlib >/dev/null 2>&1 || \
	  ( ./load trysocketlib -lxnet >/dev/null 2>&1 && echo '-lxnet' ) || \
	  ( ./load trysocketlib -lsocket -lnsl >/dev/null 2>&1 && \
	    echo '-lsocket -lnsl' ) \
	) >socket.lib
	rm -f trysocketlib.o trysocketlib

clean:
	find . -name \*~ -exec rm -f {} \;
	find . -name .??*~ -exec rm -f {} \;
	find . -name \#?* -exec rm -f {} \;
	rm -f `cat TARGETS`

alloc.o: alloc.c alloc.h compile error.h
	./compile alloc.c

alloc_re.o: alloc.h alloc_re.c byte.h compile
	./compile alloc_re.c

buffer.o: buffer.c buffer.h compile
	./compile buffer.c

buffer_0.o: buffer.h buffer_0.c compile
	./compile buffer_0.c

buffer_1.o: buffer.h buffer_1.c compile
	./compile buffer_1.c

buffer_2.o: buffer.h buffer_2.c compile
	./compile buffer_2.c

buffer_get.o: buffer.h buffer_get.c byte.h compile error.h
	./compile buffer_get.c

buffer_put.o: buffer.h buffer_put.c byte.h compile error.h str.h
	./compile buffer_put.c

buffer_read.o: buffer.h buffer_read.c compile
	./compile buffer_read.c

buffer_write.o: buffer.h buffer_write.c compile
	./compile buffer_write.c

byte.a: byte_chr.o byte_copy.o byte_cr.o byte_diff.o byte_rchr.o \
fmt_uint.o fmt_uint0.o fmt_ulong.o makelib scan_ulong.o str_chr.o \
str_diff.o str_len.o str_start.o
	./makelib byte.a byte_chr.o byte_copy.o byte_cr.o byte_diff.o \
	byte_rchr.o fmt_uint.o fmt_uint0.o fmt_ulong.o scan_ulong.o str_chr.o \
	str_diff.o str_len.o str_start.o

byte_chr.o: byte.h byte_chr.c compile
	./compile byte_chr.c

byte_copy.o: byte.h byte_copy.c compile
	./compile byte_copy.c

byte_cr.o: byte.h byte_cr.c compile
	./compile byte_cr.c

byte_diff.o: byte.h byte_diff.c compile
	./compile byte_diff.c

byte_rchr.o: byte.h byte_rchr.c compile
	./compile byte_rchr.c

choose: choose.sh warn-auto.sh
	rm -f choose
	cat warn-auto.sh choose.sh \
	> choose
	chmod 555 choose

coe.o: coe.c coe.h compile
	./compile coe.c

compile: conf-cc print-cc.sh systype warn-auto.sh
	rm -f compile
	sh print-cc.sh > compile
	chmod 555 compile

direntry.h: choose compile direntry.h1 direntry.h2 trydrent.c
	./choose c trydrent direntry.h1 direntry.h2 > direntry.h

env.o: compile env.c env.h str.h
	./compile env.c

error.o: compile error.c error.h
	./compile error.c

error_str.o: compile error.h error_str.c
	./compile error_str.c

fd_copy.o: compile fd.h fd_copy.c
	./compile fd_copy.c

fd_move.o: compile fd.h fd_move.c
	./compile fd_move.c

fifo.o: compile fifo.c fifo.h hasmkffo.h
	./compile fifo.c

fmt_uint.o: compile fmt.h fmt_uint.c
	./compile fmt_uint.c

fmt_uint0.o: compile fmt.h fmt_uint0.c
	./compile fmt_uint0.c

fmt_ulong.o: compile fmt.h fmt_ulong.c
	./compile fmt_ulong.c

hasflock.h: choose compile hasflock.h1 hasflock.h2 load tryflock.c
	./choose cl tryflock hasflock.h1 hasflock.h2 > hasflock.h

hasmkffo.h: choose compile hasmkffo.h1 hasmkffo.h2 load trymkffo.c
	./choose cl trymkffo hasmkffo.h1 hasmkffo.h2 > hasmkffo.h

hassgact.h: choose compile hassgact.h1 hassgact.h2 load trysgact.c
	./choose cl trysgact hassgact.h1 hassgact.h2 > hassgact.h

hassgprm.h: choose compile hassgprm.h1 hassgprm.h2 load trysgprm.c
	./choose cl trysgprm hassgprm.h1 hassgprm.h2 > hassgprm.h

haswaitp.h: choose compile haswaitp.h1 haswaitp.h2 load trywaitp.c
	./choose cl trywaitp haswaitp.h1 haswaitp.h2 > haswaitp.h

iopause.h: choose compile iopause.h1 iopause.h2 load trypoll.c
	./choose clr trypoll iopause.h1 iopause.h2 > iopause.h

iopause.o: compile iopause.c iopause.h select.h tai.h taia.h uint64.h
	./compile iopause.c

load: conf-ld print-ld.sh systype warn-auto.sh
	rm -f load
	sh print-ld.sh > load
	chmod 555 load

lock_ex.o: compile hasflock.h lock.h lock_ex.c
	./compile lock_ex.c

lock_exnb.o: compile hasflock.h lock.h lock_exnb.c
	./compile lock_exnb.c

makelib: print-ar.sh systype warn-auto.sh
	rm -f makelib
	sh print-ar.sh > makelib
	chmod 555 makelib

ndelay_off.o: compile ndelay.h ndelay_off.c
	./compile ndelay_off.c

ndelay_on.o: compile ndelay.h ndelay_on.c
	./compile ndelay_on.c

open_append.o: compile open.h open_append.c
	./compile open_append.c

open_read.o: compile open.h open_read.c
	./compile open_read.c

open_trunc.o: compile open.h open_trunc.c
	./compile open_trunc.c

open_write.o: compile open.h open_write.c
	./compile open_write.c

openreadclose.o: compile error.h gen_alloc.h open.h openreadclose.c \
openreadclose.h readclose.h stralloc.h
	./compile openreadclose.c

pathexec_env.o: alloc.h byte.h compile env.h gen_alloc.h pathexec.h \
pathexec_env.c str.h stralloc.h
	./compile pathexec_env.c

pathexec_run.o: compile env.h error.h gen_alloc.h pathexec.h \
pathexec_run.c str.h stralloc.h
	./compile pathexec_run.c

readclose.o: compile error.h gen_alloc.h readclose.c readclose.h \
stralloc.h
	./compile readclose.c

scan_ulong.o: compile scan.h scan_ulong.c
	./compile scan_ulong.c

seek_set.o: compile seek.h seek_set.c
	./compile seek_set.c

select.h: choose compile select.h1 select.h2 trysysel.c
	./choose c trysysel select.h1 select.h2 > select.h

sgetopt.o: buffer.h compile sgetopt.c sgetopt.h subgetopt.h
	./compile sgetopt.c

sig.o: compile sig.c sig.h
	./compile sig.c

sig_block.o: compile hassgprm.h sig.h sig_block.c
	./compile sig_block.c

sig_catch.o: compile hassgact.h sig.h sig_catch.c
	./compile sig_catch.c

sig_pause.o: compile hassgprm.h sig.h sig_pause.c
	./compile sig_pause.c

str_chr.o: compile str.h str_chr.c
	./compile str_chr.c

str_diff.o: compile str.h str_diff.c
	./compile str_diff.c

str_len.o: compile str.h str_len.c
	./compile str_len.c

str_start.o: compile str.h str_start.c
	./compile str_start.c

stralloc_cat.o: byte.h compile gen_alloc.h stralloc.h stralloc_cat.c
	./compile stralloc_cat.c

stralloc_catb.o: byte.h compile gen_alloc.h stralloc.h \
stralloc_catb.c
	./compile stralloc_catb.c

stralloc_cats.o: byte.h compile gen_alloc.h str.h stralloc.h \
stralloc_cats.c
	./compile stralloc_cats.c

stralloc_eady.o: alloc.h compile gen_alloc.h gen_allocdefs.h \
stralloc.h stralloc_eady.c
	./compile stralloc_eady.c

stralloc_opyb.o: byte.h compile gen_alloc.h stralloc.h \
stralloc_opyb.c
	./compile stralloc_opyb.c

stralloc_opys.o: byte.h compile gen_alloc.h str.h stralloc.h \
stralloc_opys.c
	./compile stralloc_opys.c

stralloc_pend.o: alloc.h compile gen_alloc.h gen_allocdefs.h \
stralloc.h stralloc_pend.c
	./compile stralloc_pend.c

strerr_die.o: buffer.h compile strerr.h strerr_die.c
	./compile strerr_die.c

strerr_sys.o: compile error.h strerr.h strerr_sys.c
	./compile strerr_sys.c

subgetopt.o: compile subgetopt.c subgetopt.h
	./compile subgetopt.c

sysdeps: compile direntry.h hasflock.h hasmkffo.h hassgact.h \
hassgprm.h haswaitp.h iopause.h load select.h systype \
uint64.h reboot_system.h uw_tmp.h socket.lib
	rm -f sysdeps
	cat systype compile load socket.lib >>sysdeps
	grep sysdep direntry.h >>sysdeps
	grep sysdep haswaitp.h >>sysdeps
	grep sysdep hassgact.h >>sysdeps
	grep sysdep hassgprm.h >>sysdeps
	grep sysdep select.h >>sysdeps
	grep sysdep uint64.h >>sysdeps
	grep sysdep iopause.h >>sysdeps
	grep sysdep hasmkffo.h >>sysdeps
	grep sysdep hasflock.h >>sysdeps
	grep sysdep reboot_system.h >>sysdeps
	grep sysdep uw_tmp.h >>sysdeps
	cat sysdeps

systype: find-systype.sh trycpp.c x86cpuid.c
	sh find-systype.sh > systype

tai_now.o: compile tai.h tai_now.c uint64.h
	./compile tai_now.c

tai_pack.o: compile tai.h tai_pack.c uint64.h
	./compile tai_pack.c

tai_sub.o: compile tai.h tai_sub.c uint64.h
	./compile tai_sub.c

tai_unpack.o: compile tai.h tai_unpack.c uint64.h
	./compile tai_unpack.c

taia_add.o: compile tai.h taia.h taia_add.c uint64.h
	./compile taia_add.c

taia_approx.o: compile tai.h taia.h taia_approx.c uint64.h
	./compile taia_approx.c

taia_frac.o: compile tai.h taia.h taia_frac.c uint64.h
	./compile taia_frac.c

taia_less.o: compile tai.h taia.h taia_less.c uint64.h
	./compile taia_less.c

taia_now.o: compile tai.h taia.h taia_now.c uint64.h
	./compile taia_now.c

taia_pack.o: compile tai.h taia.h taia_pack.c uint64.h
	./compile taia_pack.c

taia_sub.o: compile tai.h taia.h taia_sub.c uint64.h
	./compile taia_sub.c

taia_uint.o: compile tai.h taia.h taia_uint.c uint64.h
	./compile taia_uint.c

time.a: iopause.o makelib tai_now.o tai_pack.o tai_sub.o tai_unpack.o \
taia_add.o taia_approx.o taia_frac.o taia_less.o taia_now.o \
taia_pack.o taia_sub.o taia_uint.o
	./makelib time.a iopause.o tai_now.o tai_pack.o tai_sub.o \
	tai_unpack.o taia_add.o taia_approx.o taia_frac.o taia_less.o \
	taia_now.o taia_pack.o taia_sub.o taia_uint.o

uint64.h: choose compile load tryulong64.c uint64.h1 uint64.h2
	./choose clr tryulong64 uint64.h1 uint64.h2 > uint64.h

unix.a: alloc.o alloc_re.o buffer.o buffer_0.o buffer_1.o buffer_2.o \
buffer_get.o buffer_put.o buffer_read.o buffer_write.o coe.o env.o \
error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o lock_exnb.o \
makelib ndelay_off.o ndelay_on.o open_append.o open_read.o \
open_trunc.o open_write.o openreadclose.o pathexec_env.o \
pathexec_run.o readclose.o seek_set.o sgetopt.o sig.o \
sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
wait_pid.o
	./makelib unix.a alloc.o alloc_re.o buffer.o buffer_0.o buffer_1.o \
	buffer_2.o buffer_get.o buffer_put.o buffer_read.o buffer_write.o \
	coe.o env.o error.o error_str.o fd_copy.o fd_move.o fifo.o lock_ex.o \
	lock_exnb.o ndelay_off.o ndelay_on.o open_append.o open_read.o \
	open_trunc.o open_write.o openreadclose.o pathexec_env.o \
	pathexec_run.o readclose.o seek_set.o sgetopt.o sig.o \
	sig_block.o sig_catch.o sig_pause.o stralloc_cat.o stralloc_catb.o \
	stralloc_cats.o stralloc_eady.o stralloc_opyb.o stralloc_opys.o \
	stralloc_pend.o strerr_die.o strerr_sys.o subgetopt.o wait_nohang.o \
	wait_pid.o

wait_nohang.o: compile haswaitp.h wait_nohang.c
	./compile wait_nohang.c

wait_pid.o: compile error.h haswaitp.h wait_pid.c
	./compile wait_pid.c

=== debian/changelog ===
runit (2.3.0-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable runit-init, the initscripts and insserv runtime
      dependency are not satisfiable since SysV removal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Feb 2026 08:41:39 +0100

runit (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
       (LP: #399634)
  * d/patches:
      - drop patches accepted or rejected upstream
      - refresh remaining quilt patches
  * getty-run:
     - add support for Hurd
     - use --noclear on tty1
  * runit-init: add experimental support for Hurd (Closes: #1101895)
     - install /etc/hurd/runsystem.runit
     - remove runsystem.runit at purge on Hurd
  * testsuite: trigger-sv : add test for user services
  * trigger_sv: fix user services (enable and restart)
  * svlogd/run: fix user services use case
  * cpsv: add i command

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 08 Feb 2026 13:11:14 +0100

runit (2.2.0-7ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable runit-init, the initscripts and insserv runtime
      dependency are not satisfiable since SysV removal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 12 Jan 2026 10:44:36 +0100

runit (2.2.0-7) unstable; urgency=medium

  * runit-init: keep diverted manpages usable (Closes: #1107917)
  * shutdown:
    - support scheduled shutdown via shell wrapper.
         + Thanks: Andras Korn (Closes: #1121135)
    - adjust runit-init symlinks
  * rescan-test: drop psmisc B-D, use 'chpst -l' instead
  * invoke-run: stop using --force-sysv
  * d/copyright: update years
  * d/control: drop redundant rules-requires-root
  * cpsv - generic use:
    - skip services without a proper run file
    - don't test diff when force is used (a, s)
    - use sv.current as default source (CPSV_SOURCE)
    - fix d (diff) in services with log
  * cpsv - user services and service instances:
    - also sync user services with 's'
    - strip @username suffix from user instances (with 'p')
    - fix wrong symlink target in log/run (with 'p')
    - create supervise dirs as symlink for user services too
    - link env to user-runsvdir's env (user services, with 'p')
    - create .meta as directory for user instances, pupulate
      metafiles with symlinks
  * svlogd/run: adapt for user services
  * trigger_sv:
    - early support for user-services
    - upgrade: fix wrong logic in runsvdir detection
  * sv: adjust bash completion
  * cpsv: add bash completion
  * cpsv.8: update
  * autopkgtest testsuite:
     - add test for cpsv (cpsv-test)
     - add test for trigger_sv (trigger-sv)

 -- Lorenzo Puliti <plorenzo@disroot.org>  Sun, 11 Jan 2026 16:55:47 +0100

runit (2.2.0-6ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable runit-init, the initscripts and insserv runtime
      dependency are not satisfiable since SysV removal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Oct 2025 19:33:47 +0200

runit (2.2.0-6) unstable; urgency=medium

  * import upstream gcc-15 patches (Closes: #1097826)
  * Revert "temporary use gcc-14"
  * shutdown.c: use systemctl when switching init from systemd
  * Revert "autopkgtest: use 'systemctl reboot' to reboot after
      removing systemd-sysv"; now runit's reboot should work when
      switching from systemd.

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 08 Oct 2025 14:39:49 +0200

runit (2.2.0-5) unstable; urgency=medium

  * getty-run:
      - depends on login (Closes: #1116289)
       + Thanks to Chris Hofstaedtler <zeha@debian.org>
      - fix grep match for console in ttyS0 (Closes: #1110060)
       + Thanks to devspam@moreofthesa.me.uk
  * update-service: fix usage for user-services
  * trigger_sv: skip user services for now
  * ctrlaltdel: update path to stopit flag file
  * runit-init: drop postinst usermerge safety guard
  * try to fix race in testsuite that causes intermittent
     FTBFS in reproducible builds

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 01 Oct 2025 15:14:29 +0200

runit (2.2.0-4ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable runit-init, the initscripts and insserv runtime
      dependency are not satisfiable since SysV removal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Sep 2025 08:41:05 +0200

runit (2.2.0-4) unstable; urgency=medium

  * d/patches:
    - allow runsvchdir to get working directory from env
    - add patches from upstream devground branch
    - rework SIGPWR patch (Closes: #1016787)
    - refresh patch 0021 and 0025
  * add a /etc/runit/pwrfail script to activate SIGPWR
  * runsvchdir and update-service: move from /sbin to /bin
  * cpsv:
     - adapt 'p' for multi-instance services
     - adapt 'p' for user services
     - try to adapt 'd' for multi and user instances
     - create supervise as directory for user services
     - 's': map runit's {multi|user}-instances to systemd and
         sysv conterparts
  * update-service: adapt for user services
  * sysv.override: map runit's multi instance default to sysv
  * bash-completions:
     - update 'sv' for user services/ non-root usage
     - update 'update-service' for user services/ non-root usage
  * temporary build with gcc-14
  * NEWS for runit and runit-init users

 -- Lorenzo Puliti <plorenzo@disroot.org>  Wed, 17 Sep 2025 22:59:44 +0200

runit (2.2.0-3.1ubuntu2) questing; urgency=medium

  * Use gcc-14 for now

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Aug 2025 12:28:16 +0200

runit (2.2.0-3.1ubuntu1) questing; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Disable runit-init, the initscripts and insserv runtime
      dependency are not satisfiable since SysV removal

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 25 Aug 2025 11:57:09 +0200

runit (2.2.0-3.1) unstable; urgency=high

  * Non-maintainer upload.


=== debian/control ===
Source: runit
Section: admin
Maintainer: Lorenzo Puliti <plorenzo@disroot.org>
Priority: optional
Standards-Version: 4.7.2
Homepage: http://smarden.org/runit/
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-exec,
               dh-runit (>= 2.10.2),
               dh-sysuser (>= 1.6.0),
               doc-base,
Vcs-Browser: https://salsa.debian.org/debian/runit
Vcs-Git: https://salsa.debian.org/debian/runit.git

Package: runit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: runit-init (<< 2.1.2-29~)
Breaks: runit-init (<< 2.1.2-60~), runit-run (<= 2.1.2-59), xchpst (<< 0.5.0-1~)
Conflicts: daemontools-run
Recommends: runit-run | runit-init
Suggests: socklog, ucspi-unix, zsh, runit-services, xchpst
Description: system-wide service supervision
 runit is a collection of tools to provide system-wide service supervision
 and to manage services.  Contrary to sysv init, it not only cares about
 starting and stopping services, but also supervises the service daemons
 while they are running.  Amongst other things, it provides a reliable
 interface to send signals to service daemons without the need for pid-files,
 and a log facility with automatic log file rotation and disk space limits.
 .
 runit service supervision can run under sysv init, systemd or replace the init
 system completely. Complete init replacement is provided by 'runit-init'
 package. Users that want to take advantage of runit supervision under systemd
 or sysv init can directly install the 'runit-run' package.

Package: runit-run
Architecture: all
Breaks: runit (<< 2.1.2-4), runit-sysv (<= 2.1.2-36), runit-systemd (<= 2.1.2-36), ${runit:Breaks}
Replaces: runit (<< 2.1.2-4), runit-sysv (<= 2.1.2-36), runit-systemd (<= 2.1.2-36)
Conflicts: runit-init
Depends: runit, ${misc:Depends}, ${shlibs:Depends}
Description: service supervision (systemd and sysv integration)
 runit is a collection of tools to provide system-wide service supervision
 and to manage services.  Contrary to sysv init, it not only cares about
 starting and stopping services, but also supervises the service daemons
 while they are running.  Amongst other things, it provides a reliable
 interface to send signals to service daemons without the need for pid-files,
 and a log facility with automatic log file rotation and disk space limits.
 .
 This package provides service file to start runit supervision via systemd
 and an entry in /etc/inittab that respawns the supervision tree for sysv
 users.

Package: getty-run
Architecture: all
Breaks: ${runit:Breaks}
Depends: ${misc:Depends}, ${shlibs:Depends}, login
Recommends: psmisc
Suggests: fgetty
Description: runscripts to supervise getty processes
 runit is a collection of tools to provide system-wide service supervision
 and to manage services.  Contrary to sysv init, it not only cares about
 starting and stopping services, but also supervises the service daemons
 while they are running.  Amongst other things, it provides a reliable
 interface to send signals to service daemons without the need for pid-files,
 and a log facility with automatic log file rotation and disk space limits.
 .
 This package provides scripts to supervise getty processes, allowing
 local login.

#Package: runit-init
#Architecture: any
#Protected: yes
#Depends: runit (>= 2.1.2-60~), ${misc:Depends},
# ${shlibs:Depends}, getty-run, insserv, initscripts, mount [linux-any]
#Breaks: ${runit:Breaks}
#Replaces: systemd-sysv, sysvinit-core, finit-sysv
#Conflicts: systemd-sysv,
#           sysvinit-core,
#           finit-sysv,
#           libnss-systemd,
#           molly-guard (<< 0.8.3~),
#           bfh-container (<< 20211009-24~),
#           progress-linux-container (<< 20221002-12~),
#Recommends: runit-services
#Description: system-wide service supervision (as init system)
# runit is a collection of tools to provide system-wide service supervision
# and to manage services.  Contrary to sysv init, it not only cares about
# starting and stopping services, but also supervises the service daemons
# while they are running.  Amongst other things, it provides a reliable
# interface to send signals to service daemons without the need for pid-files,
# and a log facility with automatic log file rotation and disk space limits.
# .
# This package provides /sbin/init as a symlink to runit-init so that the system
# will automatically boot with runit; it also provides compatibility symlinks
# (shutdown, halt, reboot, poweroff) that are expected by desktop environments
# and other system tools.
# To install this package the user need to first remove the `init' metapackage,
# for more details see #1005881 or visit
# https://salsa.debian.org/runit-team/runit-wiki/-/wikis/home
